Bug 1299210 - No initial-setup on Fedora Rawhide 20160115 (qemu-kvm)
No initial-setup on Fedora Rawhide 20160115 (qemu-kvm)
Product: Fedora
Classification: Fedora
Component: initial-setup (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Martin Kolman
Fedora Extras Quality Assurance
Depends On:
Blocks: F24AlphaFreezeException
  Show dependency treegraph
Reported: 2016-01-17 07:16 EST by Giulio 'juliuxpigface'
Modified: 2016-03-07 13:30 EST (History)
4 users (show)

See Also:
Fixed In Version: anaconda-24.11-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-07 13:30:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of "journalctl" from the first boot (Xfce) (184.38 KB, text/plain)
2016-01-17 07:16 EST, Giulio 'juliuxpigface'
no flags Details
Output of "systemctl status initial-setup.service" after the first boot (Xfce) (234 bytes, text/plain)
2016-01-17 07:17 EST, Giulio 'juliuxpigface'
no flags Details
Output of "journalctl -u initial-setup.service" after the first boot (Xfce) (56 bytes, text/plain)
2016-01-17 07:19 EST, Giulio 'juliuxpigface'
no flags Details
Screesnhot of 20160214's initial-setup (65.10 KB, image/png)
2016-02-16 15:46 EST, Giulio 'juliuxpigface'
no flags Details

  None (edit)
Description Giulio 'juliuxpigface' 2016-01-17 07:16:42 EST
Created attachment 1115563 [details]
Output of "journalctl" from the first boot (Xfce)

Description of problem:
initial-setup isn't automatically started after the installation of Fedora Rawhide. I've encountered this issue with both Xfce and Lxde spin on qemu-kvm. I'll try KDE as soon as possible.

It's a different issue from #1250409 and #1250409 where, apparently because of some racy conditions, the graphical one wasn't always displayed (but in that cases, at least the textual one popped up).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot Fedora 24 Rawhide on a new qemu-kvm guest.
2. Install Fedora without adding an user account with Anaconda.
3. Reboot after installation.

Actual results:
initial-setup doesn't pop up.

Expected results:
initial-setup should start (at least the CLI interface).

Additional info:
I'm attaching some logs as attachments.
Comment 1 Giulio 'juliuxpigface' 2016-01-17 07:17 EST
Created attachment 1115564 [details]
Output of "systemctl status initial-setup.service" after the first boot (Xfce)
Comment 2 Giulio 'juliuxpigface' 2016-01-17 07:19 EST
Created attachment 1115565 [details]
Output of "journalctl -u initial-setup.service" after the first boot (Xfce)
Comment 3 Fedora Blocker Bugs Application 2016-02-02 16:10:06 EST
Proposed as a Freeze Exception for 24-alpha by Fedora user juliuxpigface using the blocker tracking app because:

 the criterion "2.4.1 Expected installed system boot behavior" isn't fully violated here. The mechanism inside Anaconda works as expected, so we are able to create an user account during the installation.

However, since creating an account with Anaconda isn't mandatory, the boot behavior might confuse our users if we don't provide them the usual first boot utility.

At least on qemu-kvm, the initial-setup utility seems to be absent nor broken with every Desktop Spin (Workstation is the exception here, since gnome-initial-setup seems to be a different tool).

Please note that I'm unable to test what happens on bare metal. If this bug is only related to qemu-kvm, the severity doesn't IMHO justify a FE.
Comment 4 Giulio 'juliuxpigface' 2016-02-16 15:46 EST
Created attachment 1127722 [details]
Screesnhot of 20160214's initial-setup

Thank you. I can confirm that the primary issue seems fixed. initial-setup starts successfully on 20160214's image.

However, the layout is totally broken; I'm attaching a screenshot. Do you think it's better to open a new report? I don't think the new issue is related to this...
Comment 5 Jan Kurik 2016-02-24 10:33:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
Comment 6 Kamil Páral 2016-03-07 13:30:44 EST
Discussed at today's blocker review meeting [1]. I'm closing this issue, because it has been fixed and verified. Giulio, please report the remaining issues separately, and nominate them as blockers or freeze exceptions if appropriate. Thank you.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-03-07/

Note You need to log in before you can comment on or make changes to this bug.